Jump to content

Client Tools Patchers

Official tools patch - Updates the Launcher to wrath of The Lich King Launcher (2.1.1.1897)

These work with Classic and upwards. You can run a 1.12.1 client with these updated launchers.

1 file

  1. WoW 2.1.1 Tools Patch

    Official Patch for the WoW Launcher. This will give you the official Wrath of The Lich King style Launcher.
    These launcher work with Classic and upwards.
    Once on the mega site just right-click and download the patch you want.
    Download page includes:
    wow-2.1.1.1897-enGB-tools-patch.exe wow-2.1.1.1897-enUS-tools-patch.exe Important Notes
    To run these with a Classic or Burning Crusade clients, you will need to add a "Set patchlist 127.0.0.1" or "Set patchlist logon.covenant-wow.com" to the realmlist.wtf file. This prevents the launcher from attempting to update.
    This edit also needs to be made with a Wrath of The Lich King client, located in Data/enUS/realmlist.wtf

    78 downloads

       (0 reviews)

    Updated

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue. Privacy Policy Terms of Use